/// <reference types="react" />
import * as styledComponents from "styled-components";
import { ThemeInterface } from "./types";
declare var styled: styledComponents.ThemedStyledInterface<ThemeInterface>;
declare var css: styledComponents.ThemedCssFunction<ThemeInterface>;
declare var injectGlobal: (strings: TemplateStringsArray, ...interpolations: styledComponents.SimpleInterpolation[]) => void;
declare var keyframes: (strings: TemplateStringsArray, ...interpolations: styledComponents.SimpleInterpolation[]) => string;
declare var ThemeProvider: React.ComponentClass<styledComponents.ThemeProps<ThemeInterface>>;
export default styled;
export { css, injectGlobal, keyframes, ThemeProvider };
