export declare function callIfExists(func: any, ...args: any[]): any;
export declare function hasOwnProp(obj: any, prop: any): any;
export declare function generateUniqueId(): string;
export interface AttributPolice {
    fontSize: string;
    color?: string;
    fontWeight?: any;
    fontStyle?: any;
    fontStrech?: any;
    lineHeight?: any;
    letterSpacing?: any;
}
export declare function getFontClassName(fontAttribut: AttributPolice): string;
export declare function getFontSizeNumber(size: number | string): number;
export declare function isNullOrUndef(objet: any): boolean;
export declare function stringIsNullOrEmpty(chaine: string): boolean;
export declare function numberIsNullOrUndef(number: number): boolean;
export declare function arrayIsNullOrEmpty(array: any[]): boolean;
export declare function arrayIsIdentical(array1: any[], array2: any[]): boolean;
export declare function objectIsIdentical(obj1: any, obj2: any): boolean;
export declare function objectContains(objet: any, search: string): boolean;
export declare function addZeroBeforeNumber(nombre: number, tailleMin: number): string;
export declare function formatDate(date: Date): string;
export declare function formatDateTime(dateTime: Date): string;
export declare function isBissextile(annee: number): boolean;
export declare function jourDuMois(mois: number, annee: number, moisBase0?: boolean): number;
export declare function incrementJour(date: Date, increment: number): Date;
export declare function ConvertToDate(date: string): Date;
