"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
require("./UpTile.scss");
require("./bootstrap-grid.css");
var index_1 = require("../../Display/SvgIcon/index");
var UpTile = (function (_super) {
    __extends(UpTile, _super);
    function UpTile(p, c) {
        var _this = _super.call(this, p, c) || this;
        _this.collapse = function () {
            _this.setState({ isCollapse: !_this.state.isCollapse });
        };
        _this.state = {
            isCollapse: false
        };
        return _this;
    }
    UpTile.prototype.render = function () {
        var style = {
            margin: 0,
            float: "left",
            width: "100%",
            minHeight: 1,
            paddingRight: 15,
            paddingLeft: 15,
            display: "block"
        };
        var footer = null;
        if (this.props.footer != null) {
            footer = React.createElement("div", { className: "box-footer text-center" }, this.props.footer);
        }
        var styleOverFlow = null;
        if (this.props.maxHeight != null) {
            styleOverFlow = {
                maxHeight: this.props.maxHeight,
                overflowY: "auto"
            };
        }
        return React.createElement("div", { className: "UpTile" },
            React.createElement("div", { style: null },
                React.createElement("div", { className: "box box-home" + (!this.state.isCollapse ? "" : " collapsed-box") },
                    React.createElement("div", { className: "box-header with-border" },
                        React.createElement("h3", { className: "box-title" }, this.props.Title),
                        React.createElement("div", { className: "box-tools pull-right" },
                            React.createElement("button", { "data-widget": "collapse", type: "button", className: "btn btn-box-tool", onClick: this.collapse },
                                React.createElement(index_1.default, { height: 20, iconName: this.state.isCollapse ? "plus" : "minus" })))),
                    React.createElement("div", { className: "box-body", style: {} },
                        React.createElement("div", { style: styleOverFlow }, this.props.children)),
                    footer)));
    };
    UpTile.defaultProps = {
        size: 4
    };
    return UpTile;
}(React.Component));
exports.default = UpTile;
//# sourceMappingURL=UpTile.js.map