/// <reference types="react" />
import * as React from 'react';
import { Column, Action, SortDirection } from './UpDataGrid';
export interface UpDataGridRowHeaderState {
    isSelected: boolean;
    columns: Array<Column>;
}
export interface UpDataGridRowHeaderProps {
    columns: Array<Column>;
    isSelectionEnabled: boolean;
    actions: Array<Action>;
    onSortChange?: (c: Column, d: SortDirection) => void;
    onSelectionChange?: (isSelected: boolean) => void;
}
export default class UpDataGridRowHeader extends React.Component<UpDataGridRowHeaderProps, UpDataGridRowHeaderState> {
    static defaultProps: UpDataGridRowHeaderProps;
    constructor(props: any, context: any);
    onSelectionChange: (isSelected: any) => void;
    onSortChange: (c: Column, dir: SortDirection) => void;
    componentWillReceiveProps(nextProps: UpDataGridRowHeaderProps): void;
    render(): JSX.Element;
}
