/// <reference types="react" />
import * as React from 'react';
import { UpSelectOption } from '../../Inputs/Select';
export interface UpPaginationState {
    page: number;
    skip: number;
    take: number;
}
export interface UpPaginationProps {
    total: number;
    defaultSkip?: number;
    defaultTake?: number;
    defaultPage?: number;
    noResultMessage?: string;
    nbByPageMessage?: string;
    takes?: Array<UpSelectOption>;
    isTakeChangeEnable?: boolean;
    isExtraInfoDisplay?: boolean;
    onPageChange: (page: number, take: number, skip: number) => void;
}
export default class UpPagination extends React.Component<UpPaginationProps, UpPaginationState> {
    static defaultProps: UpPaginationProps;
    constructor(props: any, context: any);
    goToPreviousPage: () => void;
    getMaxPage: () => number;
    goToNextPage: () => void;
    goTo: (page: number) => void;
    onTakeChange: (data: any) => void;
    getPage: (take: number, skip: number) => number;
    componentWillReceiveProps(nextProps: UpPaginationProps): void;
    inRange(curPage: any, pagevalue: any, distance: any): boolean;
    render(): JSX.Element;
}
