/// <reference types="react" />
import * as React from 'react';
import { Column, Row, Action } from '../UpDataGrid';
export interface UpDataGridRowWithStatusState {
    isSelected: boolean;
}
export interface UpDataGridRowWithStatusProps {
    value: any;
    isSelected: boolean;
    columns: Array<Column>;
    actions: Array<Action>;
    isSelectionEnabled: boolean;
    onSelectionChange?: (row: Row) => void;
}
export default class UpDataGridRowWithStatus extends React.Component<UpDataGridRowWithStatusProps, UpDataGridRowWithStatusState> {
    static defaultProps: UpDataGridRowWithStatusProps;
    constructor(props: any, context: any);
    onSelectionChange: (isSelected: any) => void;
    render(): JSX.Element;
}
