"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var styled_components_1 = require("styled-components");
var styles_1 = require("./styles");
var theming_1 = require("../../../Common/theming");
var UpGrid = (function (_super) {
    __extends(UpGrid, _super);
    function UpGrid() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    UpGrid.prototype.render = function () {
        var _a = this.props, children = _a.children, type = _a.type, gutter = _a.gutter;
        var rows = children;
        var _gutter = gutter != null ? gutter : (this.props.theme.gridGutter != null ? this.props.theme.gridGutter : 0);
        if (_gutter > 0 || type != 'float') {
            rows = React.Children.map(children, function (row) {
                if (!row) {
                    return null;
                }
                if (row.props) {
                    return React.cloneElement(row, {
                        gutter: row.props.gutter == 0 ? _gutter : row.props.gutter,
                        type: row.props.type ? row.props.type : row.props.type
                    });
                }
                return row;
            });
        }
        return (React.createElement(styles_1.Grid, { style: this.props.style }, rows));
    };
    UpGrid.defaultProps = {
        gutter: 0,
        theme: theming_1.default
    };
    return UpGrid;
}(React.Component));
exports.default = styled_components_1.withTheme(UpGrid);
//# sourceMappingURL=UpGrid.js.map