"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) if (e.indexOf(p[i]) < 0)
            t[p[i]] = s[p[i]];
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var typestyle_1 = require("typestyle");
var styled_components_1 = require("styled-components");
;
var UpBadge = (function (_super) {
    __extends(UpBadge, _super);
    function UpBadge(props) {
        return _super.call(this, props) || this;
    }
    UpBadge.prototype.render = function () {
        var _a = this.props, children = _a.children, text = _a.text, color = _a.color, background = _a.background, others = __rest(_a, ["children", "text", "color", "background"]);
        var fontColor = color;
        var backgroundColor = background;
        if (this.props.intent !== null) {
            fontColor = this.props.theme.colorMap[this.props.intent + "Fg"];
            backgroundColor = this.props.theme.colorMap["" + this.props.intent];
        }
        var BadgeStyle = typestyle_1.style({
            borderRadius: (this.props.rounded === true) ? '18px' : '6px',
            padding: (this.props.rounded === true) ? "7px 11px" : '6px;',
            fontWeight: 700,
            color: fontColor,
            display: 'inline-block',
            width: (this.props.rounded === true) ? '32px' : 'auto',
            backgroundColor: backgroundColor
        });
        return (React.createElement("span", { className: BadgeStyle },
            text,
            children));
    };
    UpBadge.defaultProps = {
        text: '',
        color: '#FFF',
        background: "black",
        rounded: false
    };
    return UpBadge;
}(React.Component));
exports.default = styled_components_1.withTheme(UpBadge);
//# sourceMappingURL=UpBadge.js.map