/// <reference types="react" />
import * as React from 'react';
export interface UpContextMenuProps {
    id: string;
    onHide?: () => void;
    onShow?: () => void;
}
export interface UpContextMenuState {
    x: number;
    y: number;
    top: number;
    left: number;
    isVisible: boolean;
}
export default class UpContextMenu extends React.PureComponent<UpContextMenuProps, UpContextMenuState> {
    menu: HTMLElement;
    listenerId: string;
    static defaultProps: {};
    constructor(props: any);
    setMenu: (element: any) => void;
    getMenuPosition: (x: any, y: any) => {
        top: any;
        left: any;
    };
    componentDidMount(): void;
    componentDidUpdate(): void;
    componentWillUnmount(): void;
    handleShow: (e: any) => void;
    handleHide: (e: any) => void;
    handleOutsideClick: (e: any) => void;
    hideMenu: (opts: {}, target: any) => void;
    render(): JSX.Element;
}
