/// <reference types="react" />
import * as React from 'react';
export interface UpContextMenuTriggerProps {
    id: string;
    attributes?: object;
    collect?: () => void;
    holdToDisplay?: number;
    renderTag?: any;
}
export interface UpContextMenuTriggerState {
}
export declare class UpContextMenuTrigger extends React.PureComponent<UpContextMenuTriggerProps, UpContextMenuTriggerState> {
    element: HTMLElement;
    mouseDown: boolean;
    static defaultProps: {
        attributes: {};
        holdToDisplay: any;
        renderTag: string;
    };
    handleMouseDown: (event: any) => void;
    handleMouseUp: (event: any) => void;
    handleContextClick: (event: any) => void;
    setElement: (element: any) => void;
    render(): React.ComponentElement<any, React.Component<any, React.ComponentState>>;
}
export declare class UpTouchContextMenuTrigger extends React.PureComponent<UpContextMenuTriggerProps, UpContextMenuTriggerState> {
    element: HTMLElement;
    mouseDown: boolean;
    static defaultProps: {
        attributes: {};
        holdToDisplay: number;
        renderTag: string;
    };
    handleMouseDown: (event: any) => void;
    handleMouseUp: (event: any) => void;
    handleTouchstart: (event: any) => void;
    handleTouchEnd: (event: any) => void;
    handleContextClick: (event: any) => void;
    setElement: (element: any) => void;
    render(): React.ComponentElement<any, React.Component<any, React.ComponentState>>;
}
declare const _default: typeof UpContextMenuTrigger;
export default _default;
