"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var assign = require("object-assign");
var eventListener_1 = require("../../../Common/utils/eventListener");
exports.MENU_SHOW = 'UP_CONTEXTMENU_SHOW';
exports.MENU_HIDE = 'UP_CONTEXTMENU_HIDE';
function showMenu(opts, target) {
    if (opts == null)
        opts = {};
    eventListener_1.default.dispatchGlobalEvent(exports.MENU_SHOW, assign({}, opts, { type: exports.MENU_SHOW }), target);
}
exports.showMenu = showMenu;
function hideMenu(opts, target) {
    if (opts == null)
        opts = {};
    eventListener_1.default.dispatchGlobalEvent(exports.MENU_HIDE, assign({}, opts, { type: exports.MENU_HIDE }), target);
}
exports.hideMenu = hideMenu;
//# sourceMappingURL=actions.js.map