"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var update = require("react-addons-update");
var react_1 = require("@storybook/react");
var UpContextMenuTrigger_1 = require("./UpContextMenuTrigger");
var UpContextMenu_1 = require("./UpContextMenu");
var UpContextMenuItem_1 = require("./UpContextMenuItem");
var UpContextMenuItemDivider_1 = require("./UpContextMenuItemDivider");
var MENU_TYPE = 'SIMPLE';
var SimpleMenu = (function (_super) {
    __extends(SimpleMenu, _super);
    function SimpleMenu(props) {
        var _this = _super.call(this, props) || this;
        _this.handleClick = function (e, data) {
            _this.setState(update(_this.state, {
                logs: { $push: ["Clicked on menu " + data.item] }
            }));
        };
        _this.state = { logs: [] };
        return _this;
    }
    SimpleMenu.prototype.render = function () {
        return (React.createElement("div", null,
            React.createElement("h3", null, "Simple Menu"),
            React.createElement("p", null, "Mise en oeuvre d'un utilisation du menu contextuel sur un paragraphe :"),
            React.createElement(UpContextMenuTrigger_1.default, { id: MENU_TYPE, holdToDisplay: 1000 },
                React.createElement("div", { className: 'well', style: { cursor: 'pointer', margin: "30px", padding: "10px", borderRadius: "6px",
                        border: "1px solid #369" } }, "Cliquez avec le bouton droit de votre souris pour afficher le menu")),
            React.createElement("div", null, this.state.logs.map(function (log, i) { return (React.createElement("p", { key: i }, log)); })),
            React.createElement(UpContextMenu_1.default, { id: MENU_TYPE },
                React.createElement(UpContextMenuItem_1.default, { onClick: this.handleClick, data: { item: 'item 1' } }, "Menu Item 1"),
                React.createElement(UpContextMenuItem_1.default, { onClick: this.handleClick, data: { item: 'item 2' } }, "Menu Item 2"),
                React.createElement(UpContextMenuItemDivider_1.default, { size: 2 }),
                React.createElement(UpContextMenuItem_1.default, { onClick: this.handleClick, data: { item: 'item 2' } }, "Menu Item 3"))));
    };
    return SimpleMenu;
}(React.PureComponent));
exports.default = SimpleMenu;
react_1.storiesOf('UpContextMenu', module)
    .addWithInfo('Simple usage', 'Utilisation du composant en lui passant les données à afficher', function () { return (React.createElement(SimpleMenu, null)); });
//# sourceMappingURL=index.stories.js.map