"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __assign = (this && this.__assign) || Object.assign || function(t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
        s = arguments[i];
        for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
            t[p] = s[p];
    }
    return t;
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) if (e.indexOf(p[i]) < 0)
            t[p[i]] = s[p[i]];
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var styles_1 = require("./styles");
var UpHeading = (function (_super) {
    __extends(UpHeading, _super);
    function UpHeading() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    UpHeading.prototype.render = function () {
        var _a = this.props, children = _a.children, tag = _a.tag, others = __rest(_a, ["children", "tag"]);
        switch (tag) {
            case 'h2':
                return (React.createElement(styles_1.H2, __assign({ tag: tag }, others), children));
            case 'h3':
                return (React.createElement(styles_1.H3, __assign({ tag: tag }, others), children));
            case 'h4':
                return (React.createElement(styles_1.H4, __assign({ tag: tag }, others), children));
            case 'h5':
                return (React.createElement(styles_1.H5, __assign({ tag: tag }, others), children));
            default:
                return (React.createElement(styles_1.H1, __assign({ tag: tag }, others), children));
        }
    };
    UpHeading.defaultProps = {
        color: '#007acc',
        textAlign: 'center',
        tag: 'h1',
        truncate: false,
        upcase: false,
        margin: 'medium',
    };
    return UpHeading;
}(React.Component));
exports.default = UpHeading;
//# sourceMappingURL=UpHeading.js.map