"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __assign = (this && this.__assign) || Object.assign || function(t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
        s = arguments[i];
        for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
            t[p] = s[p];
    }
    return t;
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) if (e.indexOf(p[i]) < 0)
            t[p[i]] = s[p[i]];
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var styles_1 = require("./styles");
var UpLabel = (function (_super) {
    __extends(UpLabel, _super);
    function UpLabel(props) {
        var _this = _super.call(this, props) || this;
        _this.onFocus = function (e) {
            e.preventDefault();
            return false;
        };
        _this.onClick = function (e) {
            e.preventDefault();
            return false;
        };
        return _this;
    }
    UpLabel.prototype.componentWillUnmount = function () {
    };
    UpLabel.prototype.componentDidMount = function () {
    };
    UpLabel.prototype.render = function () {
        var _a = this.props, children = _a.children, text = _a.text, required = _a.required, others = __rest(_a, ["children", "text", "required"]);
        return (React.createElement(styles_1.LabelStyled, __assign({ onFocus: this.onFocus, onClick: this.onClick }, others),
            React.createElement("span", { className: "up-label-text" }, text),
            required &&
                React.createElement("span", { className: "up-label-required" }),
            children));
    };
    UpLabel.defaultProps = {
        text: '',
        disabled: false,
        required: false,
        textAlign: 'right'
    };
    return UpLabel;
}(React.Component));
exports.default = UpLabel;
//# sourceMappingURL=UpLabel.js.map