"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var themedComponents_1 = require("../../../Common/theming/themedComponents");
var utils_1 = require("../../../Common/utils");
var sizeMap = {
    small: 14,
    medium: 16,
    large: 24,
    xlarge: 32,
};
var marginSizeMap = {
    none: 0,
    small: 12,
    medium: 24,
    large: 48,
};
function calculateMargin(margin) {
    return utils_1.default(marginSizeMap[margin]);
}
exports.calculateMargin = calculateMargin;
;
function calculateSize(size) {
    return utils_1.default(sizeMap[size]);
}
exports.calculateSize = calculateSize;
;
var defaultProps = {
    color: '#fff',
    textAlign: 'center',
    paragraphSize: 'medium',
    margin: 'medium',
};
function marginCss(margin) {
    return (_a = ["\n    margin-top: ", ";\n    margin-bottom: ", ";\n  "], _a.raw = ["\n    margin-top: ", ";\n    margin-bottom: ", ";\n  "], themedComponents_1.css(_a, calculateMargin(margin), calculateMargin(margin)));
    var _a;
}
exports.marginCss = marginCss;
;
exports.style = (_a = ["\n  max-width: 630px;\n  text-align: ", ";\n  color: ", ";\n  ", ";\n  font-size: ", ";\n"], _a.raw = ["\n  max-width: 630px;\n  text-align: ", ";\n  color: ", ";\n  ", ";\n  font-size: ", ";\n"], themedComponents_1.css(_a, function (props) { return props.textAlign || defaultProps.textAlign; }, function (props) { return props.color || defaultProps.color; }, function (props) { return marginCss(props.margin || defaultProps.margin); }, function (props) { return calculateSize(props.paragraphSize || defaultProps.paragraphSize); }));
var ParagraphStyled = (_b = ["\n  ", "\n"], _b.raw = ["\n  ", "\n"], themedComponents_1.default.p(_b, exports.style));
exports.default = ParagraphStyled;
var _a, _b;
//# sourceMappingURL=styles.js.map