/// <reference types="react" />
import * as React from 'react';
import { SvgProps } from './types';
export interface SvgIconWrapperProps {
    className: string;
    color: string;
    height: any;
    width: any;
    position: string;
    dangerouslySetInnerHTML: any;
    dataFor?: string;
}
export declare type Props = SvgProps & React.HTMLProps<typeof SvgIcon>;
export default function SvgIcon({children, viewBox, iconName, className, color, position, dataFor, ...others}: Props): JSX.Element;
