"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var react_1 = require("@storybook/react");
var _1 = require("./");
var Ligne_1 = require("../Ligne");
var Panel_1 = require("../../Containers/Panel");
var theming_1 = require("../../../Common/theming");
var themedComponents_1 = require("../../../Common/theming/themedComponents");
var TooltipRenderer = (React.createElement("div", null,
    React.createElement("p", { style: { padding: "10px" } }, "Pour plus d'info, veuillez consulter le site de notre produit...")));
react_1.storiesOf('UpTooltip', module)
    .addWithInfo('Simple usage', 'Utilisation du composant en lui passant les données à afficher', function () { return (React.createElement(themedComponents_1.ThemeProvider, { theme: theming_1.default },
    React.createElement("div", { style: { margin: "30px" } },
        React.createElement(Panel_1.default, { type: "primary" },
            "Exemple d'utilisation du composant",
            React.createElement(_1.default, { title: "Détails", content: TooltipRenderer },
                React.createElement(Ligne_1.default, null,
                    "\u00A0",
                    React.createElement("code", null, "<UpTooltip />"),
                    "\u00A0")),
            " sur du texte.")))); }).addWithInfo('Sur un lien', 'Utilisation du composant en lui passant les données à afficher', function () { return (React.createElement(themedComponents_1.ThemeProvider, { theme: theming_1.default },
    React.createElement("div", { style: { margin: "30px" } },
        React.createElement(Panel_1.default, { type: "primary" },
            "Exemple d'utilisation du composant",
            React.createElement(_1.default, { id: "Tooltip", title: "Détails", content: TooltipRenderer },
                React.createElement("a", { "data-for": "Tooltip", "data-tip": "React-tooltip" }, "\u25D5\u203F\u203F\u25D5")),
            " sur du texte.")))); });
//# sourceMappingURL=index.stories.js.map