/// <reference types="react" />
import * as React from "react";
export interface UpTreeViewProps {
    onBranchClick?: (data: MenuItemData) => void;
    childMenuItems?: MenuItemData[];
    showInvisible?: boolean;
}
export interface UpTreeViewState {
    selectedBranchId: string;
}
export default class UpTreeView extends React.Component<UpTreeViewProps, UpTreeViewState> {
    constructor(p: any, c: any);
    render(): JSX.Element;
    onBranchClick: (data: MenuItemData, branchId: string) => void;
}
export interface MenuItemData {
    id: string;
    text: string;
    isSelected?: boolean;
    isVisible?: boolean;
    childMenuItems?: MenuItemData[];
}
export interface SubMenuProps {
    childMenuItems?: MenuItemData[];
    onBranchClick: (data: MenuItemData, branchId: string) => void;
    branchId?: string;
    selectedBranchId?: string;
    showInvisible: boolean;
}
export interface SubMenuState {
}
export declare class SubMenu extends React.Component<SubMenuProps, SubMenuState> {
    constructor(p: any, c: any);
    render(): any;
}
export interface SubItemsProps extends MenuItemData {
    onBranchClick: (data: MenuItemData, branchId: string) => void;
    branchId: string;
    selectedBranchId: string;
    showInvisible: boolean;
}
export interface SubItemsState {
    expand: boolean;
}
export declare class SubItems extends React.Component<SubItemsProps, SubItemsState> {
    constructor(p: any, c: any);
    render(): any;
    readonly anyChild: boolean;
    onExpandClick: (e: any) => boolean;
    onClickA: (e: any) => void;
}
