"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var react_1 = require("@storybook/react");
var UpTreeView_1 = require("./UpTreeView");
react_1.storiesOf('UpTreeView', module)
    .addWithInfo('Simple usage', 'Utilisation du composant en lui passant les données à afficher', function () {
    return React.createElement(UpTreeView_1.default, { onBranchClick: console.log, childMenuItems: [
            {
                id: "1",
                text: "Test 1",
            },
            {
                id: "2",
                text: "Test 2",
                childMenuItems: [
                    {
                        id: "3",
                        text: "Test 3",
                    },
                    {
                        id: "24",
                        text: "Test 4",
                    }
                ]
            }
        ] });
})
    .addWithInfo('Show invisible', 'Utilisation du composant en lui passant les données à afficher', function () {
    return React.createElement(UpTreeView_1.default, { onBranchClick: console.log, showInvisible: true, childMenuItems: [
            {
                id: "1",
                text: "Test 1",
            },
            {
                isVisible: false,
                id: "2",
                text: "Test 2",
                childMenuItems: [
                    {
                        id: "3",
                        text: "Test 3",
                    },
                    {
                        id: "24",
                        text: "Test 4",
                    }
                ]
            }
        ] });
});
//# sourceMappingURL=index.stories.js.map