/// <reference types="react" />
import * as React from 'react';
import { UpVisibilitySensorProps, UpVisibilitySensorState } from './';
export default class UpVisibilitySensor extends React.Component<UpVisibilitySensorProps, UpVisibilitySensorState> {
    static defaultProps: {
        active: boolean;
        partialVisibility: boolean;
        minTopValue: number;
        scrollCheck: boolean;
        scrollDelay: number;
        scrollThrottle: number;
        resizeCheck: boolean;
        resizeDelay: number;
        resizeThrottle: number;
        intervalCheck: boolean;
        intervalDelay: number;
        delayedCall: boolean;
        offset: {};
        containment: any;
        children: React.DetailedReactHTMLElement<{}, HTMLElement>;
    };
    debounceCheck: any;
    node: Element;
    interval: any;
    constructor(props: UpVisibilitySensorProps);
    componentDidMount(): void;
    componentWillUnmount(): void;
    componentWillReceiveProps(nextProps: any): void;
    getContainer: () => any;
    isVisibleWithOffset: (offset: any, rect: any, containmentRect: any) => boolean;
    addEventListener: (target: any, event: any, delay: any, throttle: any) => void;
    startWatching: () => void;
    stopWatching: () => void;
    check: () => Readonly<UpVisibilitySensorState>;
    render(): React.ReactElement<any>;
}
