/// <reference types="react" />
import * as React from 'react';
import { ThemedProps } from '../../../Common/theming/types';
export declare type Position = 'left' | 'right';
export interface Option {
    name: string;
    value: any;
    text?: string;
    iconName?: string;
    onChange?: (e: any) => void;
    checked?: boolean;
}
export interface UpCheckboxStyledProps extends Option, ThemedProps {
    className?: string;
}
export interface UpCheckboxProps {
    options: Array<Option>;
}
export default class UpCheckbox extends React.Component<UpCheckboxProps, any> {
    constructor(props: any);
    componentWillReceiveProps(nextProps: UpCheckboxProps): void;
    stopPropagation: (event: any) => void;
    handleChangeEvent: (event: any) => void;
    render(): JSX.Element;
}
