"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var styles_1 = require("./styles");
var UpCheckbox = (function (_super) {
    __extends(UpCheckbox, _super);
    function UpCheckbox(props) {
        var _this = _super.call(this, props) || this;
        _this.stopPropagation = function (event) {
            event.stopPropagation();
        };
        _this.handleChangeEvent = function (event) {
            var options = _this.state.options;
            for (var i in options) {
                var option = options[i];
                if (option.name == event.target.name && option.onChange != undefined) {
                    option.onChange(event.target.checked);
                    options[i].checked = event.target.checked;
                }
            }
            _this.setState({ options: options });
        };
        _this.state = {
            options: props.options
        };
        return _this;
    }
    UpCheckbox.prototype.componentWillReceiveProps = function (nextProps) {
        if (nextProps.options !== this.props.options) {
            this.setState({ options: nextProps.options });
        }
    };
    UpCheckbox.prototype.render = function () {
        var _this = this;
        var options = this.state.options;
        return (React.createElement(styles_1.CheckboxGroup, { onClick: this.stopPropagation },
            React.createElement("label", { style: { display: "none" } },
                React.createElement("input", { type: "checkbox" })),
            options.map(function (option) { return (React.createElement(styles_1.StyledCheckBox, { onChange: _this.handleChangeEvent, key: "Key_" + option.name + "_" + option.value, text: option.text, name: option.name, value: option.value, checked: option.checked })); })));
    };
    return UpCheckbox;
}(React.Component));
exports.default = UpCheckbox;
//# sourceMappingURL=UpCheckBox.js.map