"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var themedComponents_1 = require("../../../Common/theming/themedComponents");
var classNames = require("classnames");
var Styled_1 = require("../_Common/Styled");
var BaseCheckBox = function (props) {
    var children = props.children, checked = props.checked, className = props.className, text = props.text, name = props.name, value = props.value, iconName = props.iconName, onChange = props.onChange;
    return (React.createElement("label", { className: classNames("up-control", "up-checkbox", className) },
        React.createElement("input", { checked: checked, onChange: onChange, name: name, type: "checkbox", value: value }),
        React.createElement("span", { className: "up-control-indicator" }),
        text));
};
exports.StyledCheckBox = (_a = ["\n", "\n"], _a.raw = ["\n", "\n"], themedComponents_1.default(BaseCheckBox)(_a, function (props) { return Styled_1.CommonCheckableStyle(props); }));
exports.CheckboxGroup = (_b = ["\n  margin-top:8px;\n"], _b.raw = ["\n  margin-top:8px;\n"], themedComponents_1.default.div(_b));
var _a, _b;
//# sourceMappingURL=styles.js.map