/// <reference types="react" />
import * as React from "react";
import { UpDrawingProps } from "./";
import CanvasState from "./CanvasState";
export interface UpDrawingState {
    activationShape: boolean;
    src: string;
    zones?: Array<any>;
    selection?: any;
    scale: number;
}
export default class UpDrawing extends React.Component<UpDrawingProps, UpDrawingState> {
    canvas: any;
    canvasState: CanvasState;
    contextKey: string;
    static defaultProps: UpDrawingProps;
    constructor(p: any, c: any);
    setCanvas: (canvas: any) => void;
    componentWillReceiveProps(nextProps: UpDrawingProps): void;
    zoomIn: (event: any) => void;
    zoomOut: (event: any) => void;
    zoomNormal: (event: any) => void;
    rotate: (event: any) => void;
    open: () => void;
    crop: (event: any) => void;
    cropAll: (event: any) => void;
    del: (event: any) => void;
    delAll: () => void;
    toggleActivationShape: (value: any) => void;
    componentDidUpdate(): void;
    componentDidMount(): void;
    componentWillUnmount(): void;
    render(): JSX.Element;
    onChange: (event: any) => void;
}
