"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var typestyle_1 = require("typestyle");
var Icons_1 = require("../../Display/Icons/Icons");
var helpers_1 = require("../../../Common/utils/helpers");
var MONTH = ["Jan.", "Fév.", "Mars", "Avr.", "Mai", "Juin", "Juil.", "Août", "Sep.", "Oct.", "Nov.", "Déc."];
var Calendrier = (function (_super) {
    __extends(Calendrier, _super);
    function Calendrier(p, c) {
        var _this = _super.call(this, p, c) || this;
        _this.Blur = function () {
            if (_this.state.Deplie) {
                _this.setState({ Deplie: false, });
            }
        };
        _this.onCalendrierClick = function () {
            if (!_this.props.Disable) {
                _this.setState({ Deplie: !_this.state.Deplie, });
            }
        };
        _this.incYear = function (increment) {
            _this.setState({ Date: new Date(_this.state.Date.getFullYear() + increment, _this.state.Date.getMonth(), _this.state.Date.getDate()), });
        };
        _this.incMonth = function (increment) {
            var annee = _this.state.Date.getFullYear();
            var mois = _this.state.Date.getMonth() + increment;
            while (mois > 11) {
                annee++;
                mois -= 12;
            }
            while (mois < 0) {
                annee--;
                mois += 12;
            }
            _this.setState({ Date: new Date(annee, mois, _this.state.Date.getDate()), });
        };
        _this.onDaySelect = function (jour) {
            if (!helpers_1.isNullOrUndef(_this.props.onChange)) {
                _this.props.onChange(new Date(_this.state.Date.getFullYear(), _this.state.Date.getMonth(), jour));
            }
            _this.setState({ Deplie: false, });
        };
        _this.renderDeplie = function () {
            var styleG = typestyle_1.style({
                position: "absolute",
                left: "16px",
                top: "15%",
                display: "inline-block",
                zIndex: 100,
                padding: "4px",
                backgroundColor: "#ffffff",
                borderRadius: "4px",
                border: "1px solid #979797",
            });
            var styleTable = typestyle_1.style({
                display: "table",
                $nest: {
                    "& > span": {
                        display: "table-row",
                    },
                    "& > span > span": {
                        textAlign: "center",
                        verticalAlign: "middle",
                        minWidth: "25px",
                        paddingRight: "0",
                        paddingBottom: "0",
                        display: "table-cell",
                    },
                },
            });
            var styleCursor = typestyle_1.style({
                cursor: "pointer",
            });
            var jdm = helpers_1.jourDuMois(_this.state.Date.getMonth(), _this.state.Date.getFullYear(), true);
            var idx1eJour = new Date(_this.state.Date.getFullYear(), _this.state.Date.getMonth(), 1).getDay() - 1;
            if (idx1eJour < 0) {
                idx1eJour = 6;
            }
            var premiereLigne = [];
            var cpt = 0;
            while (cpt < idx1eJour) {
                premiereLigne.push(React.createElement("span", { key: cpt }));
                cpt++;
            }
            var cpt2 = cpt;
            var _loop_1 = function () {
                var jp = cpt2 - cpt + 1;
                premiereLigne.push(React.createElement("span", { key: cpt2, className: styleCursor, onClick: function () { return _this.onDaySelect(jp); } }, jp));
                cpt2++;
            };
            while (cpt2 < 7) {
                _loop_1();
            }
            var lignesCompletes = [];
            var nbBoucleComplete = (jdm - cpt2 + cpt) / 7;
            nbBoucleComplete = nbBoucleComplete - (nbBoucleComplete % 1);
            for (var cpt3 = 0; cpt3 < nbBoucleComplete; cpt3++) {
                lignesCompletes.push(React.createElement("span", { key: cpt3 + 2 }, [cpt2 - cpt + 1, cpt2 - cpt + 2, cpt2 - cpt + 3, cpt2 - cpt + 4, cpt2 - cpt + 5, cpt2 - cpt + 6, cpt2 - cpt + 7].map(function (j, i) {
                    cpt2++;
                    return React.createElement("span", { key: i, className: styleCursor, onClick: function () { return _this.onDaySelect(j); } }, j);
                })));
            }
            var jRestant = jdm - cpt2 + cpt;
            var derniersJour = null;
            if (jRestant > 0) {
                derniersJour = [];
                var cpt4 = 0;
                var _loop_2 = function () {
                    var jd = cpt2 - cpt + 1 + cpt4;
                    derniersJour.push(React.createElement("span", { key: cpt4, className: styleCursor, onClick: function () { return _this.onDaySelect(jd); } }, jd));
                    cpt4++;
                };
                while (cpt4 < jRestant) {
                    _loop_2();
                }
                while (cpt4 < 7) {
                    derniersJour.push(React.createElement("span", { key: cpt4 }));
                    cpt4++;
                }
            }
            return React.createElement("span", { className: styleG },
                React.createElement("span", null,
                    React.createElement(Icons_1.IconChevron, { Direction: Icons_1.DirectionEnum.Gauche, onClick: function () { return _this.incMonth(-1); } }),
                    MONTH[_this.state.Date.getMonth()],
                    React.createElement(Icons_1.IconChevron, { Direction: Icons_1.DirectionEnum.Droite, onClick: function () { return _this.incMonth(1); } }),
                    React.createElement(Icons_1.IconChevron, { Direction: Icons_1.DirectionEnum.Gauche, onClick: function () { return _this.incYear(-1); } }),
                    _this.state.Date.getFullYear(),
                    React.createElement(Icons_1.IconChevron, { Direction: Icons_1.DirectionEnum.Droite, onClick: function () { return _this.incYear(1); } })),
                React.createElement("br", null),
                React.createElement("span", { className: styleTable },
                    React.createElement("span", null,
                        React.createElement("span", null, "L."),
                        React.createElement("span", null, "M."),
                        React.createElement("span", null, "M."),
                        React.createElement("span", null, "J."),
                        React.createElement("span", null, "V."),
                        React.createElement("span", null, "S."),
                        React.createElement("span", null, "D.")),
                    React.createElement("span", null, premiereLigne),
                    lignesCompletes,
                    derniersJour === null ? null :
                        React.createElement("span", null, derniersJour)));
        };
        _this.state = {
            Date: helpers_1.isNullOrUndef(_this.props.Date) ? new Date() : _this.props.Date,
            Deplie: false,
        };
        return _this;
    }
    Calendrier.prototype.componentWillReceiveProps = function (nextProps) {
        if (this.props.Date !== nextProps.Date && this.state.Date !== nextProps.Date) {
            this.setState({ Date: helpers_1.isNullOrUndef(nextProps.Date) ? new Date() : nextProps.Date, });
        }
    };
    Calendrier.prototype.render = function () {
        var styleG = typestyle_1.style({
            position: "relative",
        });
        return React.createElement("span", { className: styleG },
            React.createElement(Icons_1.IconCalendrier, { onClick: this.onCalendrierClick, BackgroundColor: "" }),
            this.state.Deplie ? this.renderDeplie() : null);
    };
    return Calendrier;
}(React.Component));
exports.default = Calendrier;
//# sourceMappingURL=Calendrier.js.map