/// <reference types="react" />
import * as React from "react";
export interface EnTete {
    Libelle?: string;
    RechercheActif?: boolean;
    OrderActif?: boolean;
    OrderCompare?: (obj1: any, obj2: any) => number;
}
export interface Ordre {
    IdxCol: number;
    Descendant: boolean;
}
export interface TableauProps {
    Titre?: string;
    OrderActif?: boolean;
    RechercheVisible?: boolean;
    EnTetes?: EnTete[];
    Donnees: any[][];
}
export interface TableauState {
    Donnees: any[][];
    Order: Ordre[];
    SearchText: string;
}
export default class Tableau extends React.Component<TableauProps, TableauState> {
    constructor(p: any, c: any);
    private onOrder;
    private onSearchChange;
    private applyOrder;
    private applySearch;
    componentWillReceiveProps(nextProps: any): void;
    render(): JSX.Element;
}
