import Button, { ButtonProps, ButtonState } from "./Button";
import TextArea, { TextAreaProps, TextAreaState } from "./TextArea";
import TextInput, { TextInputProps, TextInputState, InputTypeEnum, PosIconEnum } from "./TextInput";
import RadioGroup, { RadioGroupProps, RadioGroupState } from "./RadioGroup";
import Radio, { RadioProps, RadioState } from "./Radio";
import CheckboxGroup, { CheckboxGroupProps, CheckboxGroupState } from "./CheckboxGroup";
import Checkbox, { CheckboxProps, CheckboxState } from "./Checkbox";
import Tableau, { TableauProps, TableauState, EnTete, Ordre } from "./Tableau";
import DateInput, { DateInputProps, DateInputState } from "./DateInput";
export interface ValidationReturn {
    ok: boolean;
    specificMessage?: string;
}
export interface ColorSet {
    ValueDefault: string;
    Value: string;
    Placeholder: string;
    BorderDefault: string;
    Border: string;
    BorderFocus: string;
    Label: string;
    Chevron: string;
}
export declare function GetFinanceurColors(disable: boolean, success: boolean): ColorSet;
export { Button, ButtonProps, ButtonState, TextArea, TextAreaProps, TextAreaState, TextInput, TextInputProps, TextInputState, InputTypeEnum, PosIconEnum, RadioGroup, RadioGroupProps, RadioGroupState, Radio, RadioProps, RadioState, CheckboxGroup, CheckboxGroupProps, CheckboxGroupState, Checkbox, CheckboxProps, CheckboxState, Tableau, TableauProps, TableauState, EnTete, Ordre, DateInput, DateInputProps, DateInputState };
