"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var Button_1 = require("./Button");
exports.Button = Button_1.default;
var TextArea_1 = require("./TextArea");
exports.TextArea = TextArea_1.default;
var TextInput_1 = require("./TextInput");
exports.TextInput = TextInput_1.default;
exports.InputTypeEnum = TextInput_1.InputTypeEnum;
exports.PosIconEnum = TextInput_1.PosIconEnum;
var RadioGroup_1 = require("./RadioGroup");
exports.RadioGroup = RadioGroup_1.default;
var Radio_1 = require("./Radio");
exports.Radio = Radio_1.default;
var CheckboxGroup_1 = require("./CheckboxGroup");
exports.CheckboxGroup = CheckboxGroup_1.default;
var Checkbox_1 = require("./Checkbox");
exports.Checkbox = Checkbox_1.default;
var Tableau_1 = require("./Tableau");
exports.Tableau = Tableau_1.default;
var DateInput_1 = require("./DateInput");
exports.DateInput = DateInput_1.default;
function GetFinanceurColors(disable, success) {
    var valueDefault = "#354052";
    var value = valueDefault;
    var borderDefault = "#979797";
    var border = borderDefault;
    var borderFocus = "#f59100";
    var placeholder = valueDefault;
    var label = "#7f8fa4";
    var chevron = "#f59100";
    if (disable) {
        value = "#b3b3b3";
        border = "#dcdcdc";
        borderFocus = border;
        chevron = value;
    }
    else if (success != null) {
        if (success) {
            border = "#05c591";
        }
        else {
            value = "#c50e1f";
            border = value;
            placeholder = value;
        }
    }
    return {
        ValueDefault: valueDefault,
        Value: value,
        Placeholder: placeholder,
        BorderDefault: borderDefault,
        Border: border,
        BorderFocus: borderFocus,
        Label: label,
        Chevron: chevron,
    };
}
exports.GetFinanceurColors = GetFinanceurColors;
//# sourceMappingURL=index.js.map