"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var react_1 = require("@storybook/react");
var theming_1 = require("../../../Common/theming");
var themedComponents_1 = require("../../../Common/theming/themedComponents");
var UpRadio_1 = require("./UpRadio");
var addon_knobs_1 = require("@storybook/addon-knobs");
var stories = react_1.storiesOf('UpRadio', module);
stories.addDecorator(addon_knobs_1.withKnobs);
stories.addWithInfo('Multiple usage', 'Utilisation avec plusieurs options', function () { return (React.createElement(themedComponents_1.ThemeProvider, { theme: theming_1.default },
    React.createElement("div", { style: { padding: "30px" } },
        React.createElement(UpRadio_1.default, { onChange: console.log, defaultValue: "option1", name: "modeAdresse", options: [{ text: "Option 1", value: "option1" }, { text: "Option 2", value: "option2" }, { text: "Option 3", value: "option3" }] })))); }).addWithInfo('Display horizontally', 'Affichage des radio en ligne', function () { return (React.createElement(themedComponents_1.ThemeProvider, { theme: theming_1.default },
    React.createElement("div", { style: { padding: "30px" } },
        React.createElement(UpRadio_1.default, { defaultValue: "option1", name: "modeAdresse", displayMode: "horizontal", options: [{ text: "Option 1", value: "option1" }, { text: "Option 2", value: "option2" }, { text: "Option 3", value: "option3" }] })))); }).addWithInfo('Display as Button', 'Affichage des radio comme button', function () {
    var label = 'Options';
    var defaultValue = ["Option 1", "Option 2", "Option 3"];
    var separator = ', ';
    var options = addon_knobs_1.array(label, defaultValue, separator);
    var displayMode = addon_knobs_1.text("DisplayMode", "button");
    return React.createElement(themedComponents_1.ThemeProvider, { theme: theming_1.default },
        React.createElement("div", { style: { padding: "30px" } },
            React.createElement(UpRadio_1.default, { name: "modeAdresse", displayMode: displayMode, options: options.map(function (o) {
                    return { text: o, value: o };
                }) })));
}).addWithInfo('Display as Button with required', 'Affichage des radio comme button marqué comme requis', function () {
    var label = 'Options';
    var defaultValue = ["Option 1", "Option 2", "Option 3"];
    var separator = ', ';
    var options = addon_knobs_1.array(label, defaultValue, separator);
    var displayMode = addon_knobs_1.text("DisplayMode", "button");
    return React.createElement(themedComponents_1.ThemeProvider, { theme: theming_1.default },
        React.createElement("div", { style: { padding: "30px" } },
            React.createElement(UpRadio_1.default, { name: "modeAdresse", isRequired: true, displayMode: displayMode, options: options.map(function (o) {
                    return { text: o, value: o };
                }) })));
});
//# sourceMappingURL=index.stories.js.map