"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var colorMap = {
    dark1: '#293953',
    dark2: '#6B4E71',
    dark3: '#829399',
    darkGray1: '#182026',
    darkGray2: '#202b33',
    darkGray3: '#293742',
    darkGray4: '#30404d',
    darkGray5: '#394b59',
    gray1: '#5c7080',
    gray2: '#738694',
    gray3: '#8a9ba8',
    gray4: '#a7b6c2',
    gray5: '#bfccd6',
    lightGray1: '#ced9e0',
    lightGray2: '#d8e1e8',
    lightGray3: '#e1e8ed',
    lightGray4: '#ebf1f5',
    lightGray5: '#f5f8fa',
    light1: '#34E4EA',
    light2: '#D6DBB2',
    light3: '#6D72C3',
    primary: '#337ab7',
    primaryDark: '#204d74',
    primaryLight: '#FEFEFE',
    primaryFg: "#FFF",
    primaryHover: '#204d74',
    primaryHoverFg: "#FFF",
    primaryActive: '#286090',
    primaryHoverActive: '#204d74',
    default: '#f9f9f9',
    defaultDark: '#ccc',
    defaultLight: '#fCfCfC',
    defaultFg: "#000",
    defaultHover: '#e6e6e6',
    defaultHoverFg: "#0A0A0A",
    defaultActive: '#e6e6e6',
    defaultHoverActive: '#d4d4d4',
    success: '#5cb85c',
    successDark: '#4cae4c',
    successLight: '#A6E21A',
    successFg: "#FFF",
    successHover: '#449d44',
    successHoverFg: "#FFF",
    successActive: '#449d44',
    successHoverActive: '#398439',
    warning: '#f0ad4e',
    warningDark: '#eea236',
    warningLight: '#FFBF1A',
    warningFg: "#FFF",
    warningHover: '#ec971f',
    warningHoverFg: "#FFF",
    warningActive: '#ec971f',
    warningHoverActive: '#d58512',
    danger: '#c9302c',
    dangerDark: '#ac2925',
    dangerLight: '#f46e65',
    dangerFg: "#FFF",
    dangerHoverFg: "#FFF",
    dangerHover: '#ac2925',
    dangerActive: '#c9302c',
    dangerHoverActive: '#ac2925',
    info: '#31b0d5',
    infoDark: '#269abc',
    infoLight: '#75DAF8',
    infoFg: "#FFF",
    infoHover: '#269abc',
    infoHoverFg: "#FFF",
    infoActive: '#31b0d5',
    infoHoverActive: '#269abc',
    white1: '#fff',
    white2: '#f3f3f3',
    white3: '#e6e8ec',
    offwhite: '#f5f5f5',
    black1: '#0a0a0a',
    black2: '#2d2d2d',
    black3: '#555555',
    disabledBg: '#EFEFEF',
    disabledFg: '#111',
    white: '#ffffff',
    blue1: '#0e5a8a',
    blue2: '#106ba3',
    blue3: '#137cbd',
    blue4: '#2b95d6',
    blue5: '#48aff0',
    green1: '#0a6640',
    green2: '#0d8050',
    green3: '#0f9960',
    green4: '#15b371',
    green5: '#3dcc91',
    orange1: '#a66321',
    orange2: '#bf7326',
    orange3: '#d9822b',
    orange4: '#f29d49',
    orange5: '#ffb366',
    red1: '#a82a2a',
    red2: '#c23030',
    red3: '#db3737',
    red4: '#f55656',
    red5: '#ff7373',
    vermilion1: '#9e2b0e',
    vermilion2: '#b83211',
    vermilion3: '#d13913',
    vermilion4: '#eb532d',
    vermilion5: '#ff6e4a',
    rose1: '#a82255',
    rose2: '#c22762',
    rose3: '#db2c6f',
    rose4: '#f5498b',
    rose5: '#ff66a1',
    violet1: '#5c255c',
    violet2: '#752f75',
    violet3: '#8f398f',
    violet4: '#a854a8',
    violet5: '#c274c2',
    indigo1: '#5642a6',
    indigo2: '#634dbf',
    indigo3: '#7157d9',
    indigo4: '#9179f2',
    indigo5: '#ad99ff',
    cobalt1: '#1f4b99',
    cobalt2: '#2458b3',
    cobalt3: '#2965cc',
    cobalt4: '#4580e6',
    cobalt5: '#669eff',
    turquoise1: '#008075',
    turquoise2: '#00998c',
    turquoise3: '#00b3a4',
    turquoise4: '#14ccbd',
    turquoise5: '#2ee6d6',
    forest1: '#1d7324',
    forest2: '#238c2c',
    forest3: '#29a634',
    forest4: '#43bf4d',
    forest5: '#62d96b',
    lime1: '#728c23',
    lime2: '#87a629',
    lime3: '#9bbf30',
    lime4: '#b6d94c',
    lime5: '#d1f26d',
    gold1: '#a67908',
    gold2: '#bf8c0a',
    gold3: '#d99e0b',
    gold4: '#f2b824',
    gold5: '#ffc940',
    sepia1: '#63411e',
    sepia2: '#7d5125',
    sepia3: '#96622d',
    sepia4: '#b07b46',
    sepia5: '#c99765'
};
exports.default = colorMap;
//# sourceMappingURL=colorMap.js.map