/// <reference types="react" />
import * as React from 'react';
import { BoxSize, BoxSizeObject, Size, SizeObject, Full } from './types';
export interface UpBoxProps {
    alignItems?: 'flex-start' | 'center' | 'flex-end' | 'baseline' | 'stretch';
    flexDirection?: 'row' | 'column';
    justifyContent?: 'flex-start' | 'center' | 'flex-end' | 'space-between' | 'space-around';
    flexWrap?: boolean;
    reverse?: boolean;
    boxSize?: BoxSize | BoxSizeObject;
    pad?: Size | SizeObject;
    children?: any;
    margin?: Size | SizeObject;
    color?: string;
    backgroundColor?: string;
    backgroundImage?: string;
    full?: Full;
    selectable?: boolean;
    style?: React.CSSProperties;
    className?: string;
}
export default class UpBox extends React.Component<UpBoxProps> {
    static defaultProps: Partial<UpBoxProps>;
    getBoxStyles: () => string;
    getSize: () => string;
    render(): JSX.Element;
}
