"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var react_1 = require("@storybook/react");
var addon_actions_1 = require("@storybook/addon-actions");
var theming_1 = require("../../../Common/theming");
var themedComponents_1 = require("../../../Common/theming/themedComponents");
var _1 = require("./");
var Button_1 = require("../../Inputs/Button");
react_1.storiesOf('UpButtonGroup', module)
    .addWithInfo('DropDown', 'Utilisation du composant en lui passant les données à afficher', function () { return (React.createElement(themedComponents_1.ThemeProvider, { theme: theming_1.default },
    React.createElement("div", null,
        React.createElement("div", { style: { "margin": "30px" } },
            React.createElement(_1.default, { gutter: 0, align: "h" },
                React.createElement(Button_1.default, { onClick: addon_actions_1.action("Main"), actionType: "add", intent: "primary" }, "Add"),
                React.createElement(Button_1.default, { intent: "primary", onClick: addon_actions_1.action('OnClick'), dropDown: "down", extraActions: [{ libelle: "Option 1", onClick: addon_actions_1.action('Option 1') }, { libelle: "Option 2", onClick: addon_actions_1.action('Option 2') }, { size: 2 }, { libelle: "Option 3", onClick: addon_actions_1.action("Option 3") }] }))),
        React.createElement("div", { style: { "margin": "30px" } },
            React.createElement(_1.default, { gutter: 0, align: "h" },
                React.createElement(Button_1.default, { onClick: addon_actions_1.action("Main"), actionType: "add", intent: "primary" }),
                React.createElement(Button_1.default, { intent: "primary", onClick: addon_actions_1.action('OnClick'), dropDown: "down", extraActions: [{ libelle: "Option 1", onClick: addon_actions_1.action('Option 1') }, { libelle: "Option 2", onClick: addon_actions_1.action('Option 2') }, { size: 2 }, { libelle: "Option 3", onClick: addon_actions_1.action("Option 3") }] })))))); }).addWithInfo('Multi Button', 'Utilisation du composant en lui passant les données à afficher', function () { return (React.createElement(themedComponents_1.ThemeProvider, { theme: theming_1.default },
    React.createElement("div", { style: { "margin": "30px" } },
        React.createElement(_1.default, { gutter: 0, align: "h" },
            React.createElement(Button_1.default, { onClick: addon_actions_1.action("Add"), width: 'normal', actionType: "add", intent: "primary" }, "Add"),
            React.createElement(Button_1.default, { onClick: addon_actions_1.action("Edit"), width: 'normal', actionType: "edit", intent: "primary" }, "Edit"),
            React.createElement(Button_1.default, { onClick: addon_actions_1.action("Delete"), width: 'normal', actionType: "delete", intent: "danger" }, "Remove")),
        React.createElement(_1.default, { gutter: 5, align: "h" },
            React.createElement(Button_1.default, { onClick: addon_actions_1.action("Add"), width: 'normal', actionType: "add", intent: "default" }, "Add"),
            React.createElement(Button_1.default, { onClick: addon_actions_1.action("Edit"), width: 'normal', actionType: "edit", intent: "primary" }, "Edit"),
            React.createElement(Button_1.default, { onClick: addon_actions_1.action("Edit"), width: 'normal', actionType: "info-sign", intent: "info" }, "Info"),
            React.createElement(Button_1.default, { onClick: addon_actions_1.action("Edit"), width: 'normal', actionType: "help", intent: "warning" }, "Aide"),
            React.createElement(Button_1.default, { onClick: addon_actions_1.action("Delete"), width: 'normal', actionType: "delete", intent: "danger" }, "Remove"))))); });
//# sourceMappingURL=index.stories.js.map