/// <reference types="react" />
import * as React from 'react';
import { SortDirection, Column } from './UpDataGrid';
export interface UpDataGridCellHeaderState {
    isSorted: boolean;
    sortDirection: SortDirection;
}
export interface UpDataGridCellHeaderProps {
    defaultSort?: SortDirection;
    onSortChange?: (c: Column, d: SortDirection) => void;
    column?: Column;
    width?: string;
}
export default class UpDataGridCellHeader extends React.Component<UpDataGridCellHeaderProps, UpDataGridCellHeaderState> {
    static defaultProps: UpDataGridCellHeaderProps;
    constructor(props: any, context: any);
    onCellClick: () => void;
    componentWillReceiveProps(newProps: UpDataGridCellHeaderProps): void;
    render(): JSX.Element;
}
