/// <reference types="react" />
import * as React from 'react';
import { Column, Action } from './UpDataGrid';
export interface UpDataGridRowState {
}
export interface UpDataGridRowProps {
    rowIndex: number;
    isSelected: boolean;
    value: any;
    columns: Array<Column>;
    actions: Array<Action>;
    isSelectionEnabled: boolean;
    onSelectionChange?: (rowIndex: number, row: any) => void;
}
export default class UpDataGridRow extends React.Component<UpDataGridRowProps, UpDataGridRowState> {
    static defaultProps: UpDataGridRowProps;
    constructor(props: any, context: any);
    onSelectionChange: (isSelected: any) => void;
    shouldComponentUpdate(nextProps: UpDataGridRowProps, nextState: any): boolean;
    render(): JSX.Element;
}
