"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var react_1 = require("@storybook/react");
var theming_1 = require("../../../Common/theming");
var themedComponents_1 = require("../../../Common/theming/themedComponents");
var UpPagination_1 = require("./UpPagination");
var UpDataGrid_1 = require("./UpDataGrid");
var UpDataGridRowWithStatus_1 = require("./templates/UpDataGridRowWithStatus");
var data = [];
var data2 = [];
for (var i = 0; i < 50; i++) {
    data.push({ 'c1': 'Value ' + i, 'c2': false, 'c3': 'Value 3', 'c4': { Libelle: 'Suivi', Couleur: '#369' } });
}
for (var i = 0; i < 20; i++) {
    data2.push({ 'c1': 'Value 2 ' + i, 'c2': false, 'c3': 'Value 3', 'c4': { Libelle: 'Suivi', Couleur: '#369' } });
}
var SpecifiqueCellFormatter = (function () {
    function SpecifiqueCellFormatter() {
    }
    SpecifiqueCellFormatter.prototype.format = function (item, column) {
        return (React.createElement("p", { style: { color: "red" } }, item[column.field]));
    };
    return SpecifiqueCellFormatter;
}());
react_1.storiesOf('UpPagination', module)
    .addWithInfo('Simple usage', 'Utilisation du composant en lui passant le nombre d\'élément à afficher', function () { return (React.createElement(themedComponents_1.ThemeProvider, { theme: theming_1.default },
    React.createElement(UpPagination_1.default, { total: 100, onPageChange: function (page, take, skip) {
            console.log(page, take, skip);
        } }))); });
react_1.storiesOf('UpDataGrid', module)
    .addWithInfo('Simple usage', 'Utilisation du composant de grid sans pagination et sans sélection', function () { return (React.createElement(themedComponents_1.ThemeProvider, { theme: theming_1.default },
    React.createElement(UpDataGrid_1.default, { isPaginationEnabled: false, isSelectionEnabled: false, isSortEnabled: false, columns: [{
                label: 'Col 1',
                field: 'c1',
                isSortable: true
            }, {
                label: 'Col 2',
                field: 'c2',
                type: 'boolean',
                isSortable: true
            }, {
                label: 'Col 3',
                field: 'c3',
                isSortable: true
            }, {
                label: 'Col 4',
                field: 'c4',
                isSortable: true
            }], data: data }))); })
    .addWithInfo('Export csv', 'Utilisation du composant de grid sans pagination et sans sélection', function () { return (React.createElement(themedComponents_1.ThemeProvider, { theme: theming_1.default },
    React.createElement(UpDataGrid_1.default, { exportCsv: { fileName: "export.csv", textButton: "Exporter" }, columns: [{ label: 'Col 1', field: 'c1', isSortable: true },
            { label: 'Col 2', field: 'c2', type: 'boolean', isSortable: true },
            { label: 'Col 3', field: 'c3', isSortable: true },
            { label: 'Col 4', field: 'c4', isSortable: true }], data: data }))); })
    .addWithInfo('Avec sélection', 'Utilisation du composant de grid avec sélection', function () { return (React.createElement(themedComponents_1.ThemeProvider, { theme: theming_1.default },
    React.createElement(UpDataGrid_1.default, { onSelectionChange: function (a, b) { console.log(a, b); }, isPaginationEnabled: false, isSelectionEnabled: true, columns: [{
                label: 'Col 1',
                field: 'c1',
                isSortable: true
            }, {
                label: 'Col 2',
                field: 'c2',
                isSortable: true
            }, {
                label: 'Col 3',
                field: 'c3',
                isSortable: true
            }, {
                label: 'Col 4',
                field: 'c4',
                isSortable: true
            }], data: data }))); }).addWithInfo('Avec actions', 'Utilisation d\'un jeux d\'action commun à toutes les lignes', function () { return (React.createElement(themedComponents_1.ThemeProvider, { theme: theming_1.default },
    React.createElement(UpDataGrid_1.default, { actions: [{
                action: function () { },
                intent: 'primary',
                type: 'add',
                description: 'Ajouter un lien'
            }, {
                action: function () { },
                intent: 'primary',
                type: 'edit',
                description: 'Modifier'
            }, {
                action: function () { },
                intent: 'danger',
                type: 'delete',
                description: 'Supprimer'
            }], columns: [{
                label: 'Col 1',
                field: 'c1',
                isSortable: true
            }, {
                label: 'Col 2',
                field: 'c2',
                isSortable: true
            }, {
                label: 'Col 3',
                field: 'c3',
                isSortable: true
            }, {
                label: 'Col 4',
                field: 'c4',
                isSortable: true
            }], data: data }))); }).addWithInfo('Avec template', 'Utilisation d\'un template spécifique pour les lignes', function () { return (React.createElement(themedComponents_1.ThemeProvider, { theme: theming_1.default },
    React.createElement(UpDataGrid_1.default, { rowTemplate: UpDataGridRowWithStatus_1.default, actions: [{
                action: function () { },
                intent: 'primary',
                type: 'add',
                description: 'Ajouter un lien'
            }, {
                action: function () { },
                intent: 'primary',
                type: 'edit',
                description: 'Modifier'
            }, {
                action: function () { },
                intent: 'danger',
                type: 'delete',
                description: 'Supprimer'
            }], columns: [{
                label: 'Col 1',
                field: 'c1',
                isSortable: true
            }, {
                label: 'Col 2',
                field: 'c2',
                isSortable: true
            }, {
                label: 'Col 3',
                field: 'c3',
                isSortable: true
            }, {
                label: 'Col 4',
                field: 'c4',
                isSortable: true
            }], data: data }))); }).addWithInfo('Avec source externe', 'Utilisation d\'une source externe spécifique pour les lignes', function () { return (React.createElement(themedComponents_1.ThemeProvider, { theme: theming_1.default },
    React.createElement(UpDataGrid_1.default, { dataSource: {
            query: "https://jsonplaceholder.typicode.com/posts"
        }, columns: [{
                label: 'Id',
                field: 'id',
                isSortable: true
            }, {
                label: 'Titre',
                field: 'title',
                isSortable: true
            }, {
                label: 'Texte',
                field: 'body',
                isSortable: true
            }, {
                label: 'Auteur',
                field: 'userId',
                isSortable: true
            }] }))); }).addWithInfo('Avec source externe et pagination', 'Utilisation d\'une source externe spécifique pour les lignes avec activation de la pagination', function () { return (React.createElement(themedComponents_1.ThemeProvider, { theme: theming_1.default },
    React.createElement(UpDataGrid_1.default, { dataSource: {
            query: "https://jsonplaceholder.typicode.com/posts"
        }, isPaginationEnabled: true, columns: [{
                label: 'Id',
                field: 'id',
                isSortable: true
            }, {
                label: 'Titre',
                field: 'title',
                isSortable: true
            }, {
                label: 'Texte',
                field: 'body',
                isSortable: true
            }, {
                label: 'Auteur',
                field: 'userId',
                isSortable: true
            }] }))); }).addWithInfo('Avec source externe et pagination en bas', 'Utilisation d\'une source externe spécifique pour les lignes avec activation de la pagination', function () { return (React.createElement(themedComponents_1.ThemeProvider, { theme: theming_1.default },
    React.createElement(UpDataGrid_1.default, { dataSource: {
            query: "https://jsonplaceholder.typicode.com/posts"
        }, paginationPosition: "bottom", isPaginationEnabled: true, columns: [{
                label: 'Id',
                field: 'id',
                isSortable: true
            }, {
                label: 'Titre',
                field: 'title',
                isSortable: true
            }, {
                label: 'Texte',
                field: 'body',
                isSortable: true
            }, {
                label: 'Auteur',
                field: 'userId',
                isSortable: true
            }] }))); }).addWithInfo('Avec source externe et pagination haut et bas', 'Utilisation d\'une source externe spécifique pour les lignes avec activation de la pagination', function () { return (React.createElement(themedComponents_1.ThemeProvider, { theme: theming_1.default },
    React.createElement(UpDataGrid_1.default, { paginationPosition: "both", dataSource: {
            query: "https://jsonplaceholder.typicode.com/posts"
        }, isPaginationEnabled: true, columns: [{
                label: 'Id',
                field: 'id',
                isSortable: true
            }, {
                label: 'Titre',
                field: 'title',
                isSortable: true
            }, {
                label: 'Texte',
                field: 'body',
                isSortable: true
            }, {
                label: 'Auteur',
                field: 'userId',
                isSortable: true
            }] }))); }).addWithInfo('Avec cell formatter', 'Utilisation d\'une source externe spécifique pour les lignes avec formattage spécifique des cellules', function () { return (React.createElement(themedComponents_1.ThemeProvider, { theme: theming_1.default },
    React.createElement(UpDataGrid_1.default, { paginationPosition: "both", dataSource: {
            query: "https://jsonplaceholder.typicode.com/posts"
        }, isPaginationEnabled: true, columns: [{
                label: 'Id',
                field: 'id',
                isSortable: true,
                formatter: new SpecifiqueCellFormatter()
            }, {
                label: 'Titre',
                field: 'title',
                isSortable: true
            }, {
                label: 'Texte',
                field: 'body',
                isSortable: true
            }, {
                label: 'Auteur',
                field: 'userId',
                isSortable: true
            }] }))); })
    .addWithInfo('Injection de ligne', '', function () { return (React.createElement(themedComponents_1.ThemeProvider, { theme: theming_1.default },
    React.createElement(UpDataGrid_1.default, { injectRow: function (previous, next, col) {
            if (next == null || previous && previous.value && previous.value.c1 && previous.value.c1.indexOf("2") != -1) {
                return React.createElement("div", { style: { color: "red" } }, "Injected row");
            }
            return null;
        }, isPaginationEnabled: false, isSelectionEnabled: false, isSortEnabled: false, columns: [{
                label: 'Col 1',
                field: 'c1',
                isSortable: true
            }, {
                label: 'Col 2',
                field: 'c2',
                type: 'boolean',
                isSortable: true
            }, {
                label: 'Col 3',
                field: 'c3',
                isSortable: true
            }, {
                label: 'Col 4',
                field: 'c4',
                isSortable: true
            }], data: data }))); })
    .addWithInfo('Test props modification', '', function () { return (React.createElement(Test, null)); });
var Test = (function (_super) {
    __extends(Test, _super);
    function Test(p, c) {
        var _this = _super.call(this, p, c) || this;
        _this.state = {
            val: data,
            page: 2,
            skip: 50,
            total: 250
        };
        return _this;
    }
    Test.prototype.render = function () {
        var _this = this;
        return React.createElement(themedComponents_1.ThemeProvider, { theme: theming_1.default },
            React.createElement("div", null,
                React.createElement("button", { onClick: function () { _this.setState({ val: data, total: 250 }); } }, "set data"),
                React.createElement("button", { onClick: function () { _this.setState({ val: data2, total: 20 }); } }, "set data2"),
                React.createElement(UpDataGrid_1.default, { onSelectionChange: console.log, isPaginationEnabled: true, isSelectionEnabled: true, defaultPage: this.state.page, defaultSkip: this.state.skip, defaultTake: 50, total: this.state.total, columns: [{
                            label: 'Col 1',
                            field: 'c1',
                            isSortable: true
                        }, {
                            label: 'Col 2',
                            field: 'c2',
                            isSortable: true
                        }, {
                            label: 'Col 3',
                            field: 'c3',
                            isSortable: true
                        }, {
                            label: 'Col 4',
                            field: 'c4',
                            isSortable: true
                        }], data: this.state.val })));
    };
    Test.defaultProps = {};
    return Test;
}(React.Component));
exports.Test = Test;
//# sourceMappingURL=index.stories.js.map