"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __assign = (this && this.__assign) || Object.assign || function(t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
        s = arguments[i];
        for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
            t[p] = s[p];
    }
    return t;
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) if (e.indexOf(p[i]) < 0)
            t[p[i]] = s[p[i]];
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var classNames = require("classnames");
var assign = require("object-assign");
var UpRow = (function (_super) {
    __extends(UpRow, _super);
    function UpRow() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    UpRow.prototype.render = function () {
        var _a = this.props, type = _a.type, justify = _a.justify, align = _a.align, className = _a.className, gutter = _a.gutter, style = _a.style, children = _a.children, _b = _a.prefixCls, prefixCls = _b === void 0 ? 'up-row' : _b, others = __rest(_a, ["type", "justify", "align", "className", "gutter", "style", "children", "prefixCls"]);
        var classes = classNames((_c = {},
            _c[prefixCls] = type == 'float',
            _c[prefixCls + "-flex"] = type == 'flex',
            _c[prefixCls + "-flex-" + justify] = type == 'flex' && justify,
            _c[prefixCls + "-flex-" + align] = type == 'flex' && align,
            _c), className);
        var rowStyle = gutter > 0 ? assign({}, {
            marginLeft: gutter / -2,
            marginRight: gutter / -2,
        }, style) : style;
        var cols = React.Children.map(children, function (col) {
            if (!col) {
                return null;
            }
            if (col.props && gutter > 0) {
                return React.cloneElement(col, {
                    style: assign({}, {
                        paddingLeft: gutter / 2,
                        paddingRight: gutter / 2,
                    }, col.props.style),
                });
            }
            return col;
        });
        return React.createElement("div", __assign({}, others, { className: classes, style: rowStyle }), cols);
        var _c;
    };
    UpRow.defaultProps = {
        gutter: 0,
        type: 'float'
    };
    return UpRow;
}(React.Component));
exports.default = UpRow;
//# sourceMappingURL=UpRow.js.map