"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var UpHover = (function (_super) {
    __extends(UpHover, _super);
    function UpHover(p, c) {
        var _this = _super.call(this, p, c) || this;
        _this.onMouseEnterHandler = function () {
            _this.setState({ hover: true }, _this.onStateChange);
        };
        _this.onMouseLeaveHandler = function () {
            _this.setState({ hover: false }, _this.onStateChange);
        };
        _this.onStateChange = function () {
            _this.props.onHoverChange(_this.state.hover);
        };
        return _this;
    }
    UpHover.prototype.render = function () {
        return React.createElement("div", { onMouseEnter: this.onMouseEnterHandler, onMouseLeave: this.onMouseLeaveHandler }, this.props.children);
    };
    return UpHover;
}(React.Component));
exports.default = UpHover;
//# sourceMappingURL=UpHover.js.map