/// <reference types="react" />
import * as React from "react";
export interface Tab {
    head: string | JSX.Element;
    content: JSX.Element;
}
export declare type LoadType = "onShow" | "onLoad";
export interface UpNavTabProps {
    tabs: Tab[];
    loadType?: LoadType;
}
export interface UpNavTabState {
    selectedTabKey: number;
}
export default class UpNavTab extends React.Component<UpNavTabProps, UpNavTabState> {
    static defaultProps: UpNavTabProps;
    constructor(p: any, c: any);
    render(): JSX.Element;
    selectTabKey: (tabKey: number) => void;
}
export interface TabContentsProps {
    contents: Tab[];
    selectedTabKey: number;
    loadType: LoadType;
}
export interface TabContentsState {
}
export declare class TabContents extends React.Component<TabContentsProps, TabContentsState> {
    constructor(p: any, c: any);
    render(): JSX.Element;
}
export interface TabContentProps {
    tab: Tab;
    tabKey: number;
    selectedTabKey: number;
    loadType: LoadType;
}
export interface TabContentState {
}
export declare class TAbContent extends React.Component<TabContentProps, TabContentState> {
    constructor(p: any, c: any);
    render(): JSX.Element;
}
export interface TabHeadsProps {
    heads: Tab[];
    selectedTabKey: number;
    selectTabKey: (tabkey: number) => void;
}
export interface TabHeadsState {
}
export declare class TabHeads extends React.Component<TabHeadsProps, TabHeadsState> {
    constructor(p: any, c: any);
    render(): JSX.Element;
}
export interface TabHeadProps {
    tab: Tab;
    tabKey: number;
    selectedTabKey: number;
    selectTabKey: (tabkey: number) => void;
}
export interface TabHeadState {
}
export declare class TabHead extends React.Component<TabHeadProps, TabHeadState> {
    constructor(p: any, c: any);
    render(): JSX.Element;
}
