"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __assign = (this && this.__assign) || Object.assign || function(t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
        s = arguments[i];
        for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
            t[p] = s[p];
    }
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var assign = require("object-assign");
var helpers_1 = require("../../../Common/utils/helpers");
var actions_1 = require("./actions");
var UpContextMenuItem = (function (_super) {
    __extends(UpContextMenuItem, _super);
    function UpContextMenuItem() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.handleClick = function (event) {
            event.preventDefault();
            if (_this.props.disabled)
                return;
            actions_1.hideMenu();
            helpers_1.callIfExists(_this.props.onClick, event, assign({}, _this.props.data, {}), null);
            if (_this.props.preventClose)
                return;
        };
        return _this;
    }
    UpContextMenuItem.prototype.render = function () {
        var _a = this.props, disabled = _a.disabled, children = _a.children, attributes = _a.attributes;
        var classNameLink = 'up-contextmenu-link';
        var classNameLinkMenuItem = 'up-contextmenu-item';
        if (disabled)
            classNameLinkMenuItem = 'up-contextmenu-item up-contextmenu-item--disabled';
        return (React.createElement("div", __assign({}, attributes, { className: classNameLinkMenuItem }),
            React.createElement("a", { href: '#', className: classNameLink, onClick: this.handleClick }, children)));
    };
    UpContextMenuItem.defaultProps = {
        disabled: false,
        data: {},
        attributes: {}
    };
    return UpContextMenuItem;
}(React.PureComponent));
exports.default = UpContextMenuItem;
//# sourceMappingURL=UpContextMenuItem.js.map