/// <reference types="react" />
import { ThemeInterface } from "../../../Common/theming/types";
export declare type ImageSize = 'thumb' | 'xxsmall' | 'xsmall' | 'small' | 'medium' | 'large' | 'xlarge' | 'full';
export interface Props {
    imageSize?: ImageSize;
    src: string;
    alt: string;
}
declare const Image: React.ComponentClass<React.HTMLProps<HTMLImageElement> & Props & {
    theme?: ThemeInterface;
    innerRef?: (instance: any) => void;
}>;
export default Image;
