/// <reference types="react" />
import * as React from 'react';
export declare type Method = 'push' | 'replace';
export interface LinkProps extends React.Props<Link> {
    path?: string;
    plain?: boolean;
    href?: string;
    label?: string;
    color?: string;
    method?: Method;
    onClick: (e: React.MouseEvent<HTMLAnchorElement>) => void;
}
export declare class Link extends React.Component<LinkProps, undefined> {
    static defaultProps: LinkProps;
    constructor(props: LinkProps);
    private handleClick;
    render(): JSX.Element;
}
export default Link;
