/// <reference types="react" />
import { ThemeInterface } from "../../../Common/theming/types";
import { ThemeProps, InterpolationFunction } from "styled-components/typings/styled-components";
import { UpParagraphProps, Margin, ParagraphSize } from './';
export declare function calculateMargin(margin: Margin): string;
export declare function calculateSize(size: ParagraphSize): string;
export declare function marginCss(margin: Margin): (string | number)[];
export declare const style: (string | number | InterpolationFunction<UpParagraphProps & ThemeProps<ThemeInterface>>)[];
declare const ParagraphStyled: React.ComponentClass<React.HTMLProps<HTMLParagraphElement> & UpParagraphProps & {
    theme?: ThemeInterface;
    innerRef?: (instance: any) => void;
}>;
export default ParagraphStyled;
