/// <reference types="react" />
import * as React from 'react';
export interface ItemsProps {
    groups: any[];
    items: any[];
    canvasTimeStart: number;
    canvasTimeEnd: number;
    canvasWidth: number;
    lineHeight: number;
    dragSnap: number;
    minResizeWidth: number;
    selectedItem: string | number;
    canChangeGroup: boolean;
    canMove: boolean;
    canResize: boolean | 'left' | 'right' | 'both';
    canSelect: boolean;
    keys: any;
    moveResizeValidator: Function;
    itemSelect: Function;
    itemDrag: Function;
    itemDrop: Function;
    itemResizing: Function;
    itemResized: Function;
    onItemDoubleClick: Function;
    onItemContextMenu: Function;
    dimensionItems: any;
    useResizeHandle: any;
    topOffset: any;
    groupHeights: any;
    groupTops: any;
}
export default class Items extends React.Component<any, any> {
    constructor(p: any, c: any);
    render(): JSX.Element;
    shouldComponentUpdate(nextProps: any, nextState: any): boolean;
    getGroupOrders(): {};
    getVisibleItems(canvasTimeStart: any, canvasTimeEnd: any, groupOrders: any): any;
}
