/// <reference types="react" />
import * as React from 'react';
import { UpBoxProps } from '../../Containers/Box/UpBox';
import { Status } from './types';
export interface StyledProps extends UpBoxProps {
    status?: Status;
    isVisible: boolean;
    isUnmounting: boolean;
}
export interface Props extends UpBoxProps {
    message?: JSX.Element | string;
    children?: JSX.Element;
    onClose?: () => void;
    status?: Status;
}
export interface State {
    isVisible: boolean;
    isUnmounting: boolean;
}
export default class Toast extends React.Component<Props, State> {
    static defaultProps: {
        status: Status;
    };
    constructor();
    componentDidMount(): void;
    private handleClose();
    render(): JSX.Element;
}
