/// <reference types="react" />
import UpTooltip from './UpTooltip';
import { IntentType } from '../../../Common/theming/types';
export declare type Placement = "top" | "right" | "bottom" | "left";
export declare type Effect = "float" | "solid";
export default UpTooltip;
export interface Tooltip {
    content: JSX.Element | string;
    place?: Placement;
    type?: IntentType;
    effect?: Effect;
    multiline?: boolean;
    html?: boolean;
    title?: JSX.Element | string;
    delayHide?: number;
    delayShow?: number;
    disable?: boolean;
}
export interface UpTooltipProps extends React.Props<UpTooltip>, Tooltip {
    id?: string;
}
