import Shape from './Shape';
export default class CanvasState {
    canvas: any;
    width: number;
    height: number;
    ctx: any;
    stylePaddingLeft: number;
    stylePaddingTop: number;
    styleBorderLeft: number;
    styleBorderTop: number;
    htmlTop: number;
    htmlLeft: number;
    valid: boolean;
    alert: boolean;
    dragging: boolean;
    drawing: boolean;
    selection: any;
    dragoffx: number;
    dragoffy: number;
    drawingoffx: number;
    drawingoffy: number;
    shapes: Array<Shape>;
    selectionColor: string;
    selectionWidth: number;
    interval: number;
    imageObj: any;
    border: number;
    scale: number;
    handleParentScroll: boolean;
    onAddShape: (shape: Shape) => void;
    constructor(canvas: any);
    registerListeners: () => void;
    removeTempShape: () => void;
    addShape: (shape: Shape) => void;
    cropShape: (shape: Shape) => any;
    removeShape: (shape: Shape) => void;
    clear: () => void;
    drawImage: () => void;
    draw: () => void;
    getMouse: (e: any) => {
        x: any;
        y: any;
    };
}
