/// <reference types="react" />
import * as React from 'react';
import { CropedShape } from './';
import Shape from './Shape';
export interface SimpleDrawingState {
    src: string;
    shapes?: Array<Shape>;
    images?: Array<string>;
}
export default class SimpleDrawing extends React.PureComponent<any, SimpleDrawingState> {
    constructor(props: any);
    onChange: (value: any, e: any) => void;
    onDelAll: (shapes: any[]) => void;
    onDel: (shape: any) => void;
    onCrop: (cropedShape: CropedShape) => void;
    onRotate: (callback: (result: any) => void) => void;
    render(): JSX.Element;
}
