"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var BaseControl_1 = require("../_Common/BaseControl/BaseControl");
var Input_1 = require("../Input");
var UpEmail = (function (_super) {
    __extends(UpEmail, _super);
    function UpEmail(p, c) {
        return _super.call(this, p, c) || this;
    }
    UpEmail.prototype.getValue = function (event) {
        return event;
    };
    UpEmail.prototype.renderControl = function () {
        return (React.createElement(Input_1.default, { iconName: "email", validation: [{
                    pattern: /^(([^<>()\[\]\\.,;:\s@"]+(\.[^<>()\[\]\\.,;:\s@"]+)*)|(".+"))@((\[[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}])|(([a-zA-Z\-0-9]+\.)+[a-zA-Z]{2,}))$/,
                    errorMessage: "Le champ doit être un courriel"
                }], value: this.state.value, onChange: this.dispatchOnChange, isRequired: this.props.isRequired, maxLength: this.props.maxLength, placeholder: this.props.placeholder, width: this.props.width, hasError: this.hasError(), showError: this.props.showError }));
    };
    UpEmail.defaultProps = {
        showError: true,
        width: "medium",
        defaultValue: ""
    };
    return UpEmail;
}(BaseControl_1.BaseControlComponent));
exports.default = UpEmail;
//# sourceMappingURL=UpEmail.js.map