"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var typestyle_1 = require("typestyle");
var helpers_1 = require("../../../Common/utils/helpers");
var Button = (function (_super) {
    __extends(Button, _super);
    function Button(p, c) {
        var _this = _super.call(this, p, c) || this;
        _this.onKeyDown = function (event) {
            if (event.keyCode === 13 && !helpers_1.isNullOrUndef(_this.props.onClick)) {
                _this.props.onClick();
            }
        };
        return _this;
    }
    Button.prototype.render = function () {
        var orange = "#f59100";
        var color = this.props.Disable ? "#ffffff" : this.props.Secondary ? orange : "#ffffff";
        var backColor = this.props.Disable ? "#d7d7d7" : this.props.Secondary ? "" : orange;
        var borderColor = this.props.Disable ? backColor : orange;
        var height = this.props.TwoLines ? "60px" : "40px";
        var styleG = helpers_1.getFontClassName({ fontSize: "14px", color: color, lineHeight: height, }) + " " + typestyle_1.style({
            borderRadius: this.props.RoundAngle ? "30px" : "3px",
            border: "1px solid " + borderColor,
            backgroundColor: backColor,
            textAlign: "center",
            display: "inline-block",
            minWidth: "150px",
            height: height,
            cursor: this.props.Disable || helpers_1.isNullOrUndef(this.props.onClick) ? "auto" : "pointer",
            padding: "0 8px",
            $nest: {
                "&:focus": {
                    outline: "none",
                    fontWeight: "bold",
                },
            },
        });
        var tabIndex = helpers_1.numberIsNullOrUndef(this.props.TabIndex) ? 0 : this.props.TabIndex;
        return React.createElement("span", { className: styleG, tabIndex: tabIndex, onClick: this.props.Disable ? null : this.props.onClick, onKeyDown: this.props.Disable ? null : this.onKeyDown }, this.props.Text);
    };
    return Button;
}(React.Component));
exports.default = Button;
//# sourceMappingURL=Button.js.map