/// <reference types="react" />
import * as React from "react";
export interface CheckboxProps {
    Text: string;
    Check: boolean;
    Disable?: boolean;
    ReadOnly?: boolean;
    onChange?: (check: boolean) => void;
    onKeyDown?: (event) => void;
}
export interface CheckboxState {
    Check: boolean;
    Focus: boolean;
}
export default class Checkbox extends React.Component<CheckboxProps, CheckboxState> {
    private ref;
    constructor(p: any, c: any);
    private onKeyDown;
    private onClick;
    private onFocus;
    private onBlur;
    focus: () => void;
    componentWillReceiveProps(nextProps: any): void;
    render(): JSX.Element;
}
