/// <reference types="react" />
import * as React from "react";
export interface CheckboxGroupProps {
    Values: string[];
    ValueIdx?: number[];
    Horizontal: boolean;
    Disable?: boolean;
    ReadOnly?: boolean;
    onChange?: (ValueIdx?: number[]) => void;
}
export interface CheckboxGroupState {
    ValueIdx: number[];
    FocusIdx: number;
}
export default class CheckboxGroup extends React.Component<CheckboxGroupProps, CheckboxGroupState> {
    private inputTab;
    constructor(p: any, c: any);
    private onChange(valueIdx, check);
    private propageOnChange();
    private onKeyDown;
    componentWillReceiveProps(nextProps: any): void;
    componentDidUpdate(): void;
    render(): JSX.Element;
}
