/// <reference types="react" />
import * as React from "react";
import { ValidationReturn } from ".";
export interface TextAreaProps {
    Value?: string;
    Placeholder?: string;
    Disable?: boolean;
    Label?: string;
    InformationText?: string;
    SuccessText?: string;
    ErrorText?: string;
    Require?: boolean;
    ReadOnly?: boolean;
    Width?: string;
    Height?: string;
    AutoFocus?: boolean;
    InitialState?: boolean;
    Validate?: (value: string) => ValidationReturn;
    onChange?: (value: string) => void;
    onFocus?: (event) => void;
    onBlur?: (event) => void;
    onKeyDown?: (event) => void;
}
export interface TextAreaState {
    Text: string;
    Success: boolean;
    SpecificMessage: string;
}
export default class TextArea extends React.Component<TextAreaProps, TextAreaState> {
    constructor(p: any, c: any);
    private processValidation;
    private onChange;
    private onBlur;
    componentWillReceiveProps(nextProps: any): void;
    render(): JSX.Element;
}
