"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var styles_1 = require("./styles");
var BaseControl_1 = require("../_Common/BaseControl/BaseControl");
var UpRadio = (function (_super) {
    __extends(UpRadio, _super);
    function UpRadio(props) {
        var _this = _super.call(this, props) || this;
        _this.stopPropagation = function (event) {
            event.stopPropagation();
        };
        _this.afterSetState = function () {
            _this.dispatchOnChange(_this.state.value);
        };
        _this.dispatchOnChange = function (data, event, error) {
            if (_this.props.onChange !== undefined) {
                _this.props.onChange(data, event, error);
            }
        };
        return _this;
    }
    UpRadio.prototype.getValue = function (data) {
        return (data == null) ? null :
            data.target != null ? data.target.value
                : data;
    };
    UpRadio.prototype.renderControl = function () {
        var _this = this;
        var options = this.props.options;
        var radioGroupClass = "upContainer__groupradio-" + this.props.displayMode;
        return (React.createElement(styles_1.RadioGroup, { onClick: this.stopPropagation, className: radioGroupClass },
            React.createElement("label", { style: { display: "none" } },
                React.createElement("input", { type: "radio" })),
            options.map(function (option, i) {
                return (React.createElement(styles_1.StyledRadioButton, { onChange: _this.handleChangeEvent, key: "Key_" + _this.props.name + "_" + option.value, name: _this.props.name, checked: _this.state.value != null && _this.state.value === option.value, text: option.text, value: option.value }));
            })));
    };
    UpRadio.defaultProps = {
        displayMode: "vertical",
        options: [],
        name: "option",
        showError: true
    };
    return UpRadio;
}(BaseControl_1.BaseControlComponent));
exports.default = UpRadio;
//# sourceMappingURL=UpRadio.js.map