"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __assign = (this && this.__assign) || Object.assign || function(t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
        s = arguments[i];
        for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
            t[p] = s[p];
    }
    return t;
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) if (e.indexOf(p[i]) < 0)
            t[p[i]] = s[p[i]];
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var BaseControl_1 = require("../_Common/BaseControl/BaseControl");
var styles_1 = require("./styles");
var theming_1 = require("../../../Common/theming");
var CKEditor_1 = require("./CKEditor");
var UpText = (function (_super) {
    __extends(UpText, _super);
    function UpText(p, c) {
        var _this = _super.call(this, p, c) || this;
        _this.getValue = _this.getValue.bind(_this);
        _this.state = {
            value: p.value
        };
        return _this;
    }
    UpText.prototype.renderControl = function () {
        var _a = this.props, value = _a.value, onChange = _a.onChange, readonly = _a.readonly, tooltip = _a.tooltip, enableRTE = _a.enableRTE, configRTE = _a.configRTE, others = __rest(_a, ["value", "onChange", "readonly", "tooltip", "enableRTE", "configRTE"]);
        if (enableRTE === true) {
            return (React.createElement(CKEditor_1.default, { config: configRTE, activeClass: "p10", content: this.state.value, onChange: this.handleChangeEvent }));
        }
        else {
            return (React.createElement(styles_1.TexAreatStyled, __assign({ value: this.state.value, hasError: this.hasError(), onChange: this.handleChangeEvent }, others)));
        }
    };
    UpText.prototype.getValue = function (event) {
        return (event != null && event.target != null) ? event.target.value : event;
    };
    UpText.defaultProps = {
        width: 'xlarge',
        showError: true,
        enableRTE: false,
        configRTE: {
            language: 'fr',
            enterMode: 2,
            shiftEnterMode: 1,
            height: 60,
            skin: 'office2013',
            resize_enabled: false,
            toolbarCanCollapse: true,
            toolbarStartupExpanded: false,
            autoGrow_onStartup: true,
            autoGrow_minHeight: 60,
            autoGrow_maxHeight: 600,
            autoGrow_bottomSpace: 10,
            startupFocus: false,
            removePlugins: 'elementspath',
            toolbar: [
                ['Cut', 'Copy', 'Paste', '-', 'Undo', 'Redo'],
                ['TextColor', 'BGColor'],
                ['HorizontalRule', 'SpecialChar'],
                ['Bold', '-', 'Italic', '-', 'Underline', '-', 'Strike', '-', 'Subscript', '-', 'Superscript', '-', 'RemoveFormat'],
                ['JustifyLeft', 'JustifyCenter', 'JustifyRight', 'JustifyBlock'],
                ['NumberedList', 'BulletedList', '-', 'Table']
            ]
        },
        theme: theming_1.default
    };
    return UpText;
}(BaseControl_1.BaseControlComponent));
exports.default = UpText;
//# sourceMappingURL=UpText.js.map