import { BaseControlProps } from './BaseControl';
import { IconName } from '../../../../Components/Display/SvgIcon/icons';
export declare type WidthSize = 'xsmall' | 'small' | 'medium' | 'large' | 'xlarge' | 'fill';
export declare type HeightSize = 'normal' | 'large';
export interface CommonInputTextProps extends BaseControlProps<string> {
    placeholder?: string;
    height?: HeightSize;
    width?: WidthSize;
    hasError?: boolean;
    maxLength?: number;
}
export interface CommonInputTextWithIconProps extends CommonInputTextProps {
    iconName?: IconName;
}
