/// <reference types="react" />
import * as React from 'react';
import { ThemeInterface } from "../../../../../Common/theming/types";
import { IconName } from '../../../../../Components/Display/SvgIcon/icons';
import { CommonInputTextWithIconProps } from '../../BaseControl/BaseInput';
export declare type InputType = 'text' | 'email' | 'number' | 'integer' | 'phone' | 'search';
export interface StyledProps extends CommonInputTextWithIconProps {
    color?: string;
    backgroundColor?: string;
    borderColor?: string;
    type?: InputType;
    iconName?: IconName;
    hasError?: boolean;
    onChange?: (data: any) => void;
    className?: string;
}
export declare const InputStyled: React.ComponentClass<StyledProps & {
    theme?: ThemeInterface;
    innerRef?: (instance: any) => void;
}>;
