"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var SvgIcon_1 = require("../../../Display/SvgIcon");
var Tooltip_1 = require("../../../Display/Tooltip");
var typestyle_1 = require("typestyle");
var ErrorDisplayStyle = typestyle_1.style({
    position: "relative",
    cursor: "help",
    $nest: {
        ".up-wrapper-error": {
            display: "inline-block",
            position: "absolute",
            top: "8px",
            left: "-20px"
        }
    }
});
var ErrorDisplay = (function (_super) {
    __extends(ErrorDisplay, _super);
    function ErrorDisplay(p, c) {
        return _super.call(this, p, c) || this;
    }
    ErrorDisplay.prototype.render = function () {
        var _this = this;
        var Error = function () {
            return (React.createElement("div", { className: "up-wrapper-error" },
                React.createElement(Tooltip_1.default, { type: "error", content: _this.props.error },
                    React.createElement(SvgIcon_1.default, { width: 15, height: 15, iconName: "error-sign", color: "red" }))));
        };
        return (React.createElement("div", { className: ErrorDisplayStyle },
            this.props.children,
            this.props.showError === true && this.props.hasError === true ?
                (React.createElement(Error, null)) : null));
    };
    return ErrorDisplay;
}(React.Component));
exports.default = ErrorDisplay;
//# sourceMappingURL=ErrorDisplay.js.map